// Activate Service Worker for Offline Support
// import swRuntime from 'offline-plugin/runtime';
// swRuntime.install();

import { render } from 'react-dom';
import routes from './routes.jsx';

// Instead of rendering directly to document.body,
// we create a container with an ID for app rendering
// to separate overriding script tag by 3rd party plugins
function renderToContainer(containerName) {
  const container = document.createElement('div');
  container.id = containerName;
  document.body.appendChild(container);

  return document.getElementById(containerName);
}

render(routes, renderToContainer('app-container'));
